org.appng.core.domain

## Class PermissionImpl

- java.lang.Object
- - org.appng.core.domain.PermissionImpl

- All Implemented Interfaces:
    Serializable, Identifiable<Integer>, Nameable, Named<Integer>, Permission, Versionable<Date>, Auditable<Integer>

      @Entity
      public class PermissionImpl
      extends Object
      implements Permission, Auditable<Integer>

  Default `Permission`-implementation
  Author:
    Matthias Müller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ApplicationImpl` | `getApplication()` Returns the `Application` this `Permission` belongs to.
    `@Size(max=8192,message="{validation.string.max}") String` | `getDescription()` Returns the description.
    `Integer` | `getId()` Returns the id.
    `@NotNull(message="{validation.notNull}") @Pattern(regexp="[a-zA-Z0-9\\-\\.]{3,}",message="{validation.permission}") String` | `getName()` Returns the name.
    `Date` | `getVersion()` Returns the version.
    `int` | `hashCode()`
    `void` | `setApplication(ApplicationImpl application)`
    `void` | `setDescription(String description)`
    `void` | `setId(Integer id)`
    `void` | `setName(String name)`
    `void` | `setVersion(Date version)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.appng.core.domain.Auditable

      `getAuditName`

- - ### Constructor Detail

    - #### PermissionImpl

          public PermissionImpl()

  - ### Method Detail

    - #### getId

          public Integer getId()

      Description copied from interface: `Identifiable`
      Returns the id.
      Specified by:
        `getId` in interface `Identifiable<Integer>`
      Returns:
        the id

    - #### setId

          public void setId(Integer id)

    - #### getName

          @NotNull(message="{validation.notNull}")
           @Pattern(regexp="[a-zA-Z0-9\\-\\.]{3,}",
                   message="{validation.permission}")
          public @NotNull(message="{validation.notNull}") @Pattern(regexp="[a-zA-Z0-9\\-\\.]{3,}",message="{validation.permission}") String getName()

      Description copied from interface: `Nameable`
      Returns the name.
      Specified by:
        `getName` in interface `Nameable`
      Returns:
        the name

    - #### setName

          public void setName(String name)

    - #### getDescription

          @Size(max=8192,
                message="{validation.string.max}")
          public @Size(max=8192,message="{validation.string.max}") String getDescription()

      Description copied from interface: `Nameable`
      Returns the description.
      Specified by:
        `getDescription` in interface `Nameable`
      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

    - #### getVersion

          public Date getVersion()

      Description copied from interface: `Versionable`
      Returns the version.
      Specified by:
        `getVersion` in interface `Versionable<Date>`
      Returns:
        the version

    - #### setVersion

          public void setVersion(Date version)

    - #### getApplication

          public ApplicationImpl getApplication()

      Description copied from interface: `Permission`
      Returns the `Application` this `Permission` belongs to.
      Specified by:
        `getApplication` in interface `Permission`
      Returns:
        the `Application` this `Permission` belongs

    - #### setApplication

          public void setApplication(ApplicationImpl application)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.